log4cplus::spi::AppenderAttachable Class Referenceabstract

This Interface is for attaching Appenders to objects. More...

`#include <appenderattachable.h>`

Inheritance diagram for log4cplus::spi::AppenderAttachable:
[legend]

## Public Member Functions

virtual void | addAppender (SharedAppenderPtr newAppender)=0
| Add an appender.
virtual SharedAppenderPtrList | getAllAppenders ()=0
| Get all previously added appenders as an Enumeration.
virtual SharedAppenderPtr | getAppender (const log4cplus::tstring &name)=0
| Get an appender by name.
virtual void | removeAllAppenders ()=0
| Remove all previously added appenders.
virtual void | removeAppender (SharedAppenderPtr appender)=0
| Remove the appender passed as parameter from the list of appenders.
virtual void | removeAppender (const log4cplus::tstring &name)=0
| Remove the appender with the name passed as parameter from the list of appenders.
virtual | ~AppenderAttachable ()=0

## Detailed Description

This Interface is for attaching Appenders to objects.

Definition at line 47 of file appenderattachable.h.

## Constructor & Destructor Documentation

## ~AppenderAttachable()

virtual log4cplus::spi::AppenderAttachable::~AppenderAttachable | ( |  | ) |

pure virtual

## Member Function Documentation

## addAppender()

virtual void log4cplus::spi::AppenderAttachable::addAppender | ( | SharedAppenderPtr | newAppender | ) |

pure virtual

Add an appender.

Implemented in log4cplus::helpers::AppenderAttachableImpl, and log4cplus::Logger.

## getAllAppenders()

virtual SharedAppenderPtrList log4cplus::spi::AppenderAttachable::getAllAppenders | ( |  | ) |

pure virtual

Get all previously added appenders as an Enumeration.

Implemented in log4cplus::helpers::AppenderAttachableImpl, and log4cplus::Logger.

## getAppender()

virtual SharedAppenderPtr log4cplus::spi::AppenderAttachable::getAppender | ( | const log4cplus::tstring & | name | ) |

pure virtual

Get an appender by name.

Implemented in log4cplus::helpers::AppenderAttachableImpl, and log4cplus::Logger.

## removeAllAppenders()

virtual void log4cplus::spi::AppenderAttachable::removeAllAppenders | ( |  | ) |

pure virtual

Remove all previously added appenders.

Implemented in log4cplus::helpers::AppenderAttachableImpl, and log4cplus::Logger.

## removeAppender() [1/2]

virtual void log4cplus::spi::AppenderAttachable::removeAppender | ( | const log4cplus::tstring & | name | ) |

pure virtual

Remove the appender with the name passed as parameter from the list of appenders.

Implemented in log4cplus::helpers::AppenderAttachableImpl, and log4cplus::Logger.

## removeAppender() [2/2]

virtual void log4cplus::spi::AppenderAttachable::removeAppender | ( | SharedAppenderPtr | appender | ) |

pure virtual

Remove the appender passed as parameter from the list of appenders.

Implemented in log4cplus::helpers::AppenderAttachableImpl, and log4cplus::Logger.

The documentation for this class was generated from the following file:

- appenderattachable.h